package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.RutaEmbarqueDesembarqueDAO;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.entidad.RutaEmbarqueDesembarque;
import com.rjconsultores.ventaboletos.service.RutaEmbarqueDesembarqueService;

@Service("rutaEmbarqueDesembarqueService")
public class RutaEmbarqueDesembarqueServiceImpl implements RutaEmbarqueDesembarqueService {

	@Autowired
	private RutaEmbarqueDesembarqueDAO rutaEmbarqueDesembarqueDAO;

	@Override
	public List<RutaEmbarqueDesembarque> obtenerTodos() {
		return rutaEmbarqueDesembarqueDAO.obtenerTodos();
	}

	@Override
	public RutaEmbarqueDesembarque obtenerID(Integer id) {
		return rutaEmbarqueDesembarqueDAO.obtenerID(id);
	}

	@Transactional
	@Override
	public RutaEmbarqueDesembarque suscribir(RutaEmbarqueDesembarque entidad) {
		return rutaEmbarqueDesembarqueDAO.suscribir(entidad);
	}

	@Transactional
	@Override
	public RutaEmbarqueDesembarque actualizacion(RutaEmbarqueDesembarque entidad) {
		return rutaEmbarqueDesembarqueDAO.actualizacion(entidad);
	}

	@Transactional
	@Override
	public void borrar(RutaEmbarqueDesembarque entidad) {
		rutaEmbarqueDesembarqueDAO.borrar(entidad);
	}

	@Override
	public List<RutaEmbarqueDesembarque> obtenerPorRuta(Ruta ruta) {
		return rutaEmbarqueDesembarqueDAO.obtenerPorRuta(ruta);
	}


}
